Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List deals (Vorgänge)

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/deals
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Query parameters
limitinteger
min 1 · max 500 · default: 100
offsetinteger
min 0 · max 9007199254740991 · default: 0
contactIdstring
stageIdstring
statusstring
Allowed:openwonlost
includeArchivedboolean
default: false
updatedSincestring<date-time>
Responses
200

OK

dataobject[]required
Show properties
Array of object
idstringrequired
contactIdstringrequired
titlestringrequired
valuenumber | nullrequired
Show properties
Any of:
number
number
null
null
stageIdstringrequired
stageEnteredAtstring<date-time>required
statusstringrequired
Allowed:openwonlost
ownerIdstring | nullrequired
Show properties
Any of:
string
string
null
null
projectTypeIdsstring[]required
streetstring | nullrequired
Show properties
Any of:
string
string
null
null
postalCodestring | nullrequired
Show properties
Any of:
string
string
null
null
citystring | nullrequired
Show properties
Any of:
string
string
null
null
notesstring | nullrequired
Show properties
Any of:
string
string
null
null
projectIdstring | nullrequired
Show properties
Any of:
string
string
null
null
closedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
archivedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
createdAtstring<date-time>required
updatedAtstring<date-time>required
hasMorebooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.bauhow.com/api/v1/deals' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "string",
      "contactId": "string",
      "title": "string",
      "value": 0,
      "stageId": "string",
      "stageEnteredAt": "2019-08-24T14:15:22Z",
      "status": "open",
      "ownerId": "string",
      "projectTypeIds": [
        "string"
      ],
      "street": "string",
      "postalCode": "string",
      "city": "string",
      "notes": "string",
      "projectId": "string",
      "closedAt": "2019-08-24T14:15:22Z",
      "archivedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "hasMore": true
}

Was this page helpful?